Bug 1702070 - Dialogs based on an AWS orchestration template pass "0" instead of custom value set in dialog
Summary: Dialogs based on an AWS orchestration template pass "0" instead of custom val...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.10.2
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.4
Assignee: Lucy Fu
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1698439
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 21:19 UTC by Satoe Imaishi
Modified: 2019-12-09 13:08 UTC (History)
8 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1698439
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:00 UTC

Comment 2 CFME Bot 2019-04-24 19:47:07 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/hammer:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/98c27003a85bfb16dc8aff44a8cb66765bfd6cae
commit 98c27003a85bfb16dc8aff44a8cb66765bfd6cae
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Apr 15 16:40:25 2019 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Apr 15 16:40:25 2019 -0400

    Merge pull request #529 from lfu/dialog_timeout_1698439

    Return not set timeout in dialog as nil instead of 0.

    (cherry picked from commit 64bbea94a457dfc3769281af37d72ef2a88cc097)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702070

 app/models/manageiq/providers/amazon/cloud_manager/orchestration_service_option_converter.rb | 4 +-
 spec/models/manageiq/providers/amazon/cloud_manager/orchestration_service_option_converter_spec.rb | 9 +-
 2 files changed, 10 insertions(+), 3 deletions(-)

Comment 5 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.